# vim: set sw=4 ts=4 et nu:

Name:               idjc
Version:            0.8.5
Release:            3.6
Summary:            TODO
Source:             http://prdownloads.sourceforge.net/idjc/idjc-%{version}.tar.gz
Patch1:             idjc-AVMEDIA_TYPE_VIDEO.patch
Patch2:             idjc-fix_pyexecdir.patch
Patch3:             idjc-libogg.patch
URL:                http://sourceforge.net/projects/idjc/
Group:              Productivity/Multimedia/Sound/Players
License:            GNU General Public License version 2 or later (GPL v2 or later)
BuildRoot:          %{_tmppath}/build-%{name}-%{version}
BuildRequires:      libshout-devel
BuildRequires:      libffmpeg-devel
BuildRequires:      mad-devel
BuildRequires:      speex-devel
BuildRequires:      flac-devel
BuildRequires:      libmp3lame-devel
BuildRequires:      libsamplerate-devel
BuildRequires:      libsndfile-devel
BuildRequires:      python-devel
BuildRequires:      python-gtk-devel
BuildRequires:      python-mutagen
BuildRequires:      gcc-c++ make glibc-devel pkgconfig
BuildRequires:      autoconf automake libtool
BuildRequires:      update-desktop-files
BuildRequires:      fdupes

%description
A GTK+ Shoutcast/Icecast client with two main media players, a jingles player,
crossfader, ogg and mp3 streaming, stream automation timers, aux input, Voice
and VoIP integration. File formats: mp3, ogg, flac, wma, wav, m4a, m3u, pls,
and others.

%prep
%setup -q
%patch1
%patch2
%patch3

%build
%configure \
    --enable-mad \
    --enable-ffmpeg \
    --enable-speex \
    --enable-flac \
    --enable-lame \
    --disable-static

%__make %{?_smp_flags}

%install
%makeinstall

%__rm -rf "%{buildroot}%{_datadir}/doc"

%suse_update_desktop_file -r "%{name}" AudioVideo Player

%fdupes -s "%{buildroot}%{_datadir}"
%fdupes -s "%{buildroot}%{_usr}/lib"

#find_lang "%{name}"

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README
%{_bindir}/idjc
%{_bindir}/idjcctrl
%{_usr}/lib/idjcmixer
%{_usr}/lib/idjcsourceclient
%{python_sitelib}/idjc
%{python_sitelib}/idjcgui.py*
%{_datadir}/applications/idjc.desktop
%{_datadir}/idjc
%doc %{_mandir}/man1/idjc.1*
%doc %{_mandir}/man1/idjcctrl.1*
%{_datadir}/pixmaps/idjc.png

%changelog
* Sun Oct 23 2011 pascal.bleser@opensuse.org
- fix build on Factory by adding linker flags for libogg
- use system libshout instead of a static in-tree
* Sat Oct 22 2011 pascal.bleser@opensuse.org
- initial version (0.8.5)
